Price Snapshot (Real-Time)
curl --request GET \
--url https://api.financialdatasets.ai/prices/snapshot \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.financialdatasets.ai/prices/snapshot"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.financialdatasets.ai/prices/snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshot": {
"price": 123,
"ticker": "<string>",
"day_change": 123,
"day_change_percent": 123,
"time": "<string>",
"time_milliseconds": 123
}
}{
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"error": "Unauthorized",
"message": "Invalid API key provided"
}{
"error": "Payment Required",
"message": "This endpoint requires a paid subscription. Please upgrade your plan."
}{
"error": "Not Found",
"message": "Ticker XXXX not found"
}Stock Prices
Company Snapshot
Get the latest real-time stock price snapshot for any US ticker including open, high, low, and close.
GET
/
prices
/
snapshot
Price Snapshot (Real-Time)
Overview
The Snapshot API lets you pull a price snapshot for a given ticker. We cover all actively traded US stocks. To get started, please create an account and grab your API key at financialdatasets.ai. You will use the API key to authenticate your API requests.Coverage
| Tickers | Years of Coverage | Updated |
|---|---|---|
| 13,000+ | Latest | Real-time |
Available Tickers
You can fetch a list of available tickers with aGET request to:
https://api.financialdatasets.ai/prices/snapshot/tickers/
Getting Started
There are only 3 steps for making a successful API call:- Add your API key to the header of the request as
X-API-KEY. - Add query params like
tickerto filter the data. - Execute the API request.
ticker.
Example
Price Snapshot
import requests
# add your API key to the headers
headers = {
"X-API-KEY": "your_api_key_here"
}
# set your query params
ticker = 'AAPL'
# create the URL
url = (
f'https://api.financialdatasets.ai/prices/snapshot'
f'?ticker={ticker}'
)
# make API request
response = requests.get(url, headers=headers)
# parse snapshot from the response
snapshot = response.json().get('snapshot')